.button {
  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;
}

.isBlock {
  width: 100%;
}

.isOneLine {
  white-space: nowrap;
}

.defaultState {
  background: rgba(255, 255, 255, 0.2);
  box-shadow: 0 23px 30px rgba(0, 102, 107, 0.388927);
  border-radius: 200px;
  color: #fff;
  font-weight: 600;
}

.actionState {
  background: #D0F5F7;
  border-radius: 200px;
  color: #16CDD6;
  font-weight: bold;
}

.outlineState {
  border: 0.7px solid #16CDD6;
  border-radius: 200px;
  color: #16CDD6;
  font-weight: bold;
}

.outlineLightState {
  border: 0.7px solid #fff;
  border-radius: 200px;
  color: #fff;
  font-weight: bold;
}

.secondaryState {
  background: #16CDD6;
  box-shadow:  0 20px 40px rgba(11, 137, 143, 0.385558);
  border-radius: 200px;
  color: #fff;
  font-weight: bold;
}

.pureState {
  font-weight: bold;
  color: #fff;
  padding: 0 !important;
  height: auto !important;
}

.secondaryPureState {
  font-weight: bold;
  color: #16CDD6;
  padding: 0 !important;
  height: auto !important;
}

.tertiaryPureState {
  font-size: 14px;
  line-height: 19px;
  color: #EBDFE8;
  padding: 0 !important;
  height: auto !important;
  white-space: nowrap;
}

.smallSize {
  padding: 0 24px;
  height: 30px;
  font-size: 12px;
  line-height: 22px;
}

.defaultSize {
  height: 40px;
  padding: 0 32px;
  font-size: 14px;
  line-height: 24px;
}

.mediumSize {
  height: 48px;
  padding: 0 48px;
  font-size: 14px;
  line-height: 24px;
}

.bigSize {
  height: 66px;
  padding: 0 64px;
  font-size: 16px;
  line-height: 26px;

  .before {
    + .label {
      margin-left: 20px
    }
  }

  .label {
    + .after {
      margin-left: 20px;
    }
  }
}

.before {
  + .label {
    margin-left: 16px;
  }
}

.label {
  + .after {
    margin-left: 5px;
  }
}

.label {
  line-height: inherit;
  letter-spacing: .5px;
}
